package com.kaixed.kchat.viewmodel;

import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;

import com.kaixed.kchat.model.user.UserList;
import com.kaixed.kchat.repository.UserRepository;

/**
 * @Author: kaixed
 * @Date: 2024/6/13 12:49
 * @Description: TODO
 */
public class UserViewModel extends ViewModel {
    private final UserRepository userRepository;

    public UserViewModel() {
        this.userRepository = new UserRepository();
    }

    public MutableLiveData<UserList> getUserListByNickname(String username) {
        return userRepository.getUserListByNickname(username);
    }
}
